petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchType

String with the name of a PETSc line search method

### Synopsis

    typedef const char* SNESLineSearchType;
    #define SNESLINESEARCHBT                 "bt"
    #define SNESLINESEARCHNLEQERR            "nleqerr"
    #define SNESLINESEARCHBASIC              "basic"
    #define SNESLINESEARCHL2                 "l2"
    #define SNESLINESEARCHCP                 "cp"
    #define SNESLINESEARCHSHELL              "shell"

Many br

### See Also

SNESLineSearchSetType(), SNES

Level:beginner
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages